﻿.mini-navbar #dnn_Side_Menu {
    display: none;
}

#dnn_Side_Menu .dnnModule {
    font-weight: 400;
    font-size: 13px;
    z-index: 902;
}

#dnn_Side_Menu .powerbiListView {
    padding: 0px 20px 0px 25px;
}

    #dnn_Side_Menu .powerbiListView li {
        list-style: none;
    }

        #dnn_Side_Menu .powerbiListView li a {
            color: #323130;
        }


.powerbiListView h4 {
    text-transform: uppercase;
}

.powerbiListView li.normal {
    font-style: normal;
    cursor: pointer;
    padding: 5px 20px 5px 10px;
    border-left: 4px solid transparent;
}

    .powerbiListView li.normal.active {
        border-left: 4px solid #f2c811;
        transition: all 0.4s;
        background-color: #FFFFFF;
    }

.powerbiListView li.empty {
    font-style: italic;
    cursor: auto;
    padding: 5px 20px 5px 10px;
}

.powerbiListView .workspacesSection select.workspace {
    font-weight: bold;
    padding-top: 5px;
    padding-bottom: 10px;
    border: none;
    padding-left: 0px;
    margin-left: -4px;
    font-size: 14px;
    outline: none;
    background-color: transparent;
    width: 100%;
}

    .powerbiListView .workspacesSection select.workspace option {
        outline: none;
        border: none;
    }

.powerbiListView .dashboardsSection.workspace, .powerbiListView .reportsSection.workspace {
    margin-left: 10px;
}

.permission {
    display: inline-block;
    width: 16px;
    height: 16px;
    cursor: pointer;
}

.permission-allow {
    background-image: url(/icons/Sigma/Grant_16X16_Standard.png);
}

.permission-deny {
    background-image: url(/icons/Sigma/Deny_16X16_Standard.png);
}

.permission-delete {
    background-image: url(/icons/Sigma/Delete_16x16_PermissionGrid.png);
}

#ListViewSettings {
    margin: auto;
    width: 750px;
}

.settings-reportlist {
    float: left;
    width: 40%;
    height: 400px;
    overflow: auto;
}

.settings-reportsecurity {
    float: left;
    width: 60%;
    height: 400px;
    overflow: auto;
    margin-bottom: 10px;
}

.settings-reportlist h3 {
    font-size: 18px;
    letter-spacing: normal;
    font-weight: normal;
}

.settings-reportlist ul {
    margin-left: 0;
}

.select2-selection.select2-selection--single {
    width: 275px;
}

#add-user {
    min-width: 50px;
}

.settings-reportsecurity .dnnPermissionsGrid {
    width: 400px;
    border-collapse: collapse;
}

.settings-reportsecurity .permissionHeader:first-child {
    width: 150px;
}

.settings-reportsecurity .dnnPermissionsGrid .dnnGridItem:nth-child(even) {
    background-color: #F2F2F2;
}

#permissions-footer {
    float: right;
    margin-right: 45px;
}

.roles-grid {
    margin-top: 10px;
}

.zui-table {
    border: solid 1px #DDEEEE;
    border-collapse: collapse;
    border-spacing: 0;
    font: normal 13px Arial, sans-serif;
}

    .zui-table thead th {
        background-color: #DDEFEF;
        border: solid 1px #DDEEEE;
        color: #336B6B;
        padding: 10px;
        text-align: left;
        text-shadow: 1px 1px 1px #fff;
    }

    .zui-table tbody td {
        border: solid 1px #DDEEEE;
        color: #333;
        padding: 10px;
        text-shadow: 1px 1px 1px #fff;
    }

#PowerBISettings .number {
    width: 100px;
}

#ListViewGroupSettings label {
    width: 200px;
    display: inline-block;
    text-align: right;
    padding-right: 10px;
}

#PowerBISettings .dnnFormItem label + input {
    margin-left: 0px;
}

#PowerBISettings .dnnFormItem input[type="checkbox"] + span {
    margin-left: 0px;
}

.powerbiContentView .pbitoolbar {
    display: block;
    z-index: 99;
    width: 100%;
    background-color: #f3f2f0;
    height: 41px;
    vertical-align: middle;
    text-align: right;
}
    .powerbiContentView .pbitoolbar .exportQueue {
        background-image: url('../images/downloading.svg');
        background-size: 16px;
        background-repeat: no-repeat;
        background-position-y: center;
        background-position-x: 10px;
        font-size: 0.8em;
        width: 145px;
        height: 100%;
        display: inline-block;
        margin-right: 10px;
        margin-left: 10px;
        line-height: 41px;
        vertical-align: top;
        padding-top: 2px;
        color: #000000;
        padding-right: 10px;
    }
        .powerbiContentView .pbitoolbar .exportQueue.succeeded {
            background-image: url('../images/success.svg');
        }
        .powerbiContentView .pbitoolbar .exportQueue.failed {
            background-image: url('../images/error.svg');
        }
        .powerbiContentView .pbitoolbar .exportQueue.exporting {
            background-image: url('../images/downloading.svg');
        }
        .powerbiContentView .pbitoolbar .exportQueue span {
            height: 41px;
            display: inline-block;
            padding-top: 12px;
        }
        .powerbiContentView .pbitoolbar .exportQueue p {
            margin: 5px;
        }
        .powerbiContentView .pbitoolbar .exportQueue ul {
            margin: 0;
            margin-left: 5px;
            margin-right: 5px;
        }


    .powerbiContentView .pbitoolbar .print {
        background-image: url('../images/print.png');
        width: 16px;
        height: 100%;
        display: inline-block;
        background-size: 16px;
        background-repeat: no-repeat;
        background-position-y: center;
        margin-right: 10px;
        margin-left: 10px;
    }

    .powerbiContentView .pbitoolbar .refresh {
        background-image: url('../images/refresh.png');
        width: 16px;
        height: 100%;
        display: inline-block;
        background-size: 16px;
        background-repeat: no-repeat;
        background-position-y: center;
        margin-right: 10px;
        margin-left: 10px;
    }

    .powerbiContentView .pbitoolbar .reload {
        background-image: url('../images/reload.png');
        width: 16px;
        height: 100%;
        display: inline-block;
        background-size: 16px;
        background-repeat: no-repeat;
        background-position-y: center;
        margin-right: 10px;
        margin-left: 10px;
    }

    .powerbiContentView .pbitoolbar .fullscreen {
        background-image: url('../images/fullscreen.png');
        width: 16px;
        height: 100%;
        display: inline-block;
        background-size: 16px;
        background-repeat: no-repeat;
        background-position-y: center;
        margin-right: 10px;
        margin-left: 10px;
    }

    .powerbiContentView .pbitoolbar .bookmarks {
        background-image: url('../images/bookmark.png');
        width: 16px;
        height: 100%;
        display: inline-block;
        background-size: 16px;
        background-repeat: no-repeat;
        background-position-y: center;
        margin-right: 10px;
        margin-left: 10px;
    }
    .powerbiContentView .pbitoolbar a:hover {
        background-color: #ebebeb;
    }
    .powerbiContentView .pbitoolbar .edit,
    .powerbiContentView .pbitoolbar .subscription,
    .powerbiContentView .pbitoolbar .download,
    .powerbiContentView .pbitoolbar .export,
    .powerbiContentView .pbitoolbar .excel,
    .powerbiContentView .pbitoolbar .powerpoint,
    .powerbiContentView .pbitoolbar .pdf
    {
        float: left;
        padding-right: 10px;
        padding-left: 10px;
        text-decoration: none;
        height: 100%;
        display: flex;
        align-items: center;
        color: black;
    }

        .powerbiContentView .pbitoolbar .edit .editImg {
            background-image: url('../images/edit.svg');
            width: 16px;
            height: 100%;
            display: inline-block;
            background-size: 16px;
            background-repeat: no-repeat;
            background-position-y: center;
            margin-right: 5px;
        }
        .powerbiContentView .pbitoolbar .download .downloadImg {
            background-image: url('../images/download.svg');
            width: 16px;
            height: 100%;
            display: inline-block;
            background-size: 16px;
            background-repeat: no-repeat;
            background-position-y: center;
            margin-right: 5px;
        }
        .powerbiContentView .pbitoolbar .export .exportImg {
            background-image: url('../images/export.svg');
            width: 16px;
            height: 100%;
            display: inline-block;
            background-size: 16px;
            background-repeat: no-repeat;
            background-position-y: center;
            margin-right: 5px;
        }

        .powerbiContentView .pbitoolbar .subscription .subscribeImg {
            background-image: url('../images/subscription.png');
            width: 16px;
            height: 100%;
            display: inline-block;
            background-size: 16px;
            background-repeat: no-repeat;
            background-position-y: center;
            margin-right: 5px;
        }
        .powerbiContentView .pbitoolbar .excel .excelImg {
            background-image: url('../images/excel.svg');
            width: 16px;
            height: 100%;
            display: inline-block;
            background-size: 16px;
            background-repeat: no-repeat;
            background-position-y: center;
            margin-right: 5px;
        }
        .powerbiContentView .pbitoolbar .powerpoint .powerpointImg {
            background-image: url('../images/powerpoint.svg');
            width: 16px;
            height: 100%;
            display: inline-block;
            background-size: 16px;
            background-repeat: no-repeat;
            background-position-y: center;
            margin-right: 5px;
        }
        .powerbiContentView .pbitoolbar .pdf .pdfImg {
            background-image: url('../images/pdf.svg');
            width: 16px;
            height: 100%;
            display: inline-block;
            background-size: 16px;
            background-repeat: no-repeat;
            background-position-y: center;
            margin-right: 5px;
        }

    .powerbiContentView .pbitoolbar .mnuexport {       
        display: none;
        position: absolute;
        width: 150px;
        top: 63px;
        background: #fff;
        left: 165px;
        box-shadow: 0 2px 4px -1px rgba(0, 0, 0, .2), 0 4px 5px 0 rgba(0, 0, 0, .14), 0 1px 10px 0 rgba(0, 0, 0, .12);
        height: 70px;
    }
        .powerbiContentView .pbitoolbar .mnuexport .content {
            display: grid;
            height: 100%
        }

    .powerbiContentView .pbitoolbar .mnuQueue {
        display: none;
        position: absolute;
        top: 63px;
        background: #fff;
        left: 165px;
        box-shadow: 0 2px 4px -1px rgba(0, 0, 0, .2), 0 4px 5px 0 rgba(0, 0, 0, .14), 0 1px 10px 0 rgba(0, 0, 0, .12);
    }

        .powerbiContentView .pbitoolbar .mnuQueue .content {
            display: grid;
            height: 100%;
            padding: 5px;
            text-align: left;
            font-size: 0.9em;
        }
        .powerbiContentView .pbitoolbar .mnuQueue .content p {
            margin: 5px;
        }
            .powerbiContentView .pbitoolbar .mnuQueue .content ul {
                list-style: none;
                padding: 0px;
                margin: 0px;
                margin-left: 5px;
                margin-right: 5px;

            }
            .powerbiContentView .pbitoolbar .mnuQueue .content ul li {
                padding-top: 5px;
                padding-bottom: 5px;                
            }

                .powerbiContentView .pbitoolbar .mnuQueue .content ul li.succeeded {
                    padding-left: 20px;
                    background-image: url('../images/success.svg');
                    background-repeat: no-repeat;
                    background-position: 0px center;
                    background-size: 16px;
                }
                .powerbiContentView .pbitoolbar .mnuQueue .content ul li.failed {
                    padding-left: 20px;
                    background-image: url('../images/error.svg');
                    background-repeat: no-repeat;
                    background-position: 0px center;
                    background-size: 16px;
                }

                .powerbiContentView .pbitoolbar .mnuQueue .content ul li.exporting {
                    padding-left: 20px;
                    background-image: url('../images/downloading.svg');
                    background-repeat: no-repeat;
                    background-position: 0px center;
                    background-size: 16px;
                }

            .powerbiContentView .pbitoolbar .mnuQueue .content .cancelExports {
                color: #000000;
                margin-left: 5px;
                margin-right: 5px;
                padding-top: 5px;
                padding-bottom: 5px;
            }

    .powerbiContentView .pbitoolbar .chevron {
        background-image: url('../images/chevron.png');
        width: 14px;
        height: 16px;
        display: inline-block;
        background-size: 14px;
        background-repeat: no-repeat;
        background-position-y: center;
        margin-left: 5px;
    }

.createBookmarks {
    background-image: url('../images/addbookmark.png');
    width: 16px;
    display: inline-block !important;
    background-size: 16px;
    background-repeat: no-repeat;
    background-position-y: center;
    margin-right: 10px;
    margin-left: 10px;
    padding: 8px 8px 8px 8px !important
}

.addSubscription {
    text-decoration: none;
    border: 1px solid;
    padding: 5px;
    text-decoration: none;
}
    .addSubscription:hover,
    .btnAdd:hover,
    .createSubscription:hover,
    .btnRemove:hover {
        text-decoration: none;
    }
.subscriptionName {
    cursor: pointer;
    font-weight: bold;
    line-height: 26px;
}
.subscriptionItem {
    display: flow-root;
}
.createSubscription, .btnAdd, .editSubscription,
.deleteSubscription, .btnRemove, .btnCloseLateralTab {
    display: inline-block !important;
    padding: 5px;
    text-decoration: none;
    border: 1px solid;
    min-width: 50px;
    text-align: center;
}
    .deleteSubscription, .editSubscription {
        float: right;
        display: flow-root;
    }
        .editSubscription {
            margin-right: 5px;
            min-width: 30px;
        }


        .deletebookmark {
            background-image: url('../images/delete.png');
            width: 16px;
            display: inline-block !important;
            background-size: 16px;
            background-repeat: no-repeat;
            background-position-y: center;
            margin-right: 10px;
            margin-left: 10px;
            float: right;
            position: relative;
            padding: 8px 8px 8px 8px !important
        }

.not-valid {
    color: red;
}

.powerbiContentView .pbitoolbar .refresh:hover,
.powerbiContentView .pbitoolbar .print:hover {
    background-color: #f4f4f4;
}

.fc-header-toolbar {
    display: none;
}

.drop {
    margin: 15px;
    max-width: 10%;
}

.pages {
    display: flex;
    justify-content: center;
}

.sidenav {
    height: 91%;
    width: 0;
    position: absolute;
    z-index: 1;
    top: 41px;
    left: 0;
    background-color: #FFFFFF;
    overflow-x: hidden;
    padding-top: 27px;
    border-right: solid 0px #C8C8C8
}
.lateral-tab {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 9999;
    top: 0;
    right: 0;
    background-color: #FFFFFF;
    overflow-x: hidden;
    border-right: solid 0px #C8C8C8;
    box-shadow: -1px 0px 20px 0px #000000;
}

.pbi-panel {
    padding: 20px;
}

.lateral-tab * {
    /*font-size: 16px;*/
}

    .close-panel {
        position: absolute;
        right: 10px;
        top: 10px;
        font-size: 2em;
        z-index: 100;
    }

.lateral-tab .user-dropdown {
    background-color: white;
    width: 100%;
    height: 150px;
    overflow-y: scroll;
    position: absolute;
    box-shadow: 1px 1px 5px 0px #d3d3d3;
    z-index: 1;
}

    .lateral-tab .user-dropdown li {
        list-style: none;
        display: flex;
        justify-content: space-between;
        padding: 10px;
        cursor: pointer;
    }

        .lateral-tab .user-dropdown li:hover {
            cursor: pointer;
        }

    .lateral-tab .subscriptions {
        padding-left: 0px;
        list-style: none;
    }

    .lateral-tab .subscriptions li {
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .lateral-tab .subscriptions li > span:hover {
        cursor: pointer;
    }

    .lateral-tab .removePageTable tr:hover, .lateral-tab .removeRoleTable tr:hover, .lateral-tab .removeUserTable tr:hover {
        cursor: pointer;
    }

    .lateral-tab .addPageTable tr:hover {
        cursor: pointer;
    }

    .lateral-tab table {
        width: 100%;
    }

        .lateral-tab table tbody tr {
            display: flex;
            justify-content: space-between;
            padding: 5px;
        }
        .lateral-tab table td {
            display: flex;
            flex-direction: column;
        }

            .lateral-tab table tbody tr td:first-child {
                align-self: flex-start;
            }

            .lateral-tab table tbody tr td:last-child {
                align-self: flex-end;
            }

.lateral-tab .actions {
    display: block;
    padding-top: 10px;
    padding-bottom: 10px;
    height: auto;
    top: 0;
    text-align: right;
    width: 100%;
    display: inline-block;
}

        .lateral-tab a {
            cursor: pointer;
            text-decoration: none;
        }
            .lateral-tab a:hover {
                cursor: pointer;                
            }


    .lateral-tab h3.dnnFormSectionHead {
        background-color: white;
        width: 100%;
        top: 0px;
        margin: 0;
        padding-top: 20px;
        padding-bottom: 20px;
        z-index: 99;
    }

    .lateral-tab .dnnForm {
        margin-top: 10px;
    }

    .lateral-tab .dnnFormItem {
        padding-top: 10px;
        padding-bottom: 10px;
    }

    .lateral-tab .dnnFormItem input, .lateral-tab .dnnFormItem select {
        width: 100%;
        margin-bottom: 5px;
    }

        .lateral-tab .dnnFormItem input[type="checkbox"] {
            height: auto;
            width: auto;
            margin-left: 5px;
            padding: 0;
        }

    .lateral-tab .dnnFormItem label {
        display: block;
    }
    .lateral-tab .dnnFormItem label.inline {
        display: inline-block;
        cursor: pointer;
    }

    .lateral-tab .dnnFormItem .full-width {
        width: 100%;
    }

.subscription-user-header, .subscription-role-header, .subscription-page-header {
    width: 100%;
    background-color: #f0f0f0;
    padding: 10px;
}

    .sidenav a, .lateral-tab .closebtn {
        padding: 8px 8px 8px 32px;
        text-decoration: none;
        font-size: 25px;
        color: #818181;
        display: block;
    }

        .sidenav a:hover {
            color: #f1f1f1;
        }

        .lateral-tab .closebtn {
            font-size: 36px;
        }

        .sidenav .closebtn, .lateral-tab .closebtn {
            position: absolute;
            top: 0;
            right: 25px;
            font-size: 36px;
            margin-left: 50px;
        }

@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }

        .sidenav a {
            font-size: 18px;
        }
}

.scrollableList{
    max-height: 300px;
    overflow-y: auto;
}

/*Bookmarks*/
.showcaseRadioContainer {
    display: block;
    position: relative;
    padding-left: 26px;
    margin: 4px 0;
    cursor: pointer;
    font-weight: normal;
}
    .showcaseRadioContainer.selected {
        font-weight: bold;
    }

    .navheader {
        padding-bottom: 20px;
        margin-left: 30px;
        font-size: 17px;
        font-weight: bold;
    }
.addbookmarks{
    margin-left: 20px;
}

#errorWrapper {
    padding: 20px;
}

#disabledCapacityMessage {
    padding: 20px;
}

.pbi-overlay {
    position: fixed;
    right: 0;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9998;
    display: none;
}

.lateral-tab h3.dnnFormSectionHead {
    background-color: white;
    width: 100%;
    top: 0px;
    margin: 0;
    padding-top: 0px;
    padding-bottom: 10px;
    z-index: 99;
    font-size: 1.8em;
}

.norows {
    padding: 10px;
}
.lateral-tab input[type=date],
.lateral-tab input[type=time] {
    padding: 8px;
    border: 1px solid #c9c9c9;
    border-radius: 3px;
    -webkit-box-shadow: 0px 1px 0px 0px rgba(255, 255, 255, 0.8), inset 0px 1px 2px 0px rgba(0, 0, 0, 0.1);
    box-shadow: 0px 1px 0px 0px rgba(255, 255, 255, 0.8), inset 0px 1px 2px 0px rgba(0, 0, 0, 0.1);
    color: #333;
}